# 
# patch "contrib/pgcrypto/random.c"
#  from [2815b119334369b864e6b39fe21832b299fd235c]
#    to [3c5f5c8fffc36fac3076296a3bab1a2bfdb7a20b]
# 
--- contrib/pgcrypto/random.c
+++ contrib/pgcrypto/random.c
@@ -35,7 +35,7 @@
 #include "px.h"
 
 
-#ifdef RAND_DEV
+#if defined(RAND_DEV)
 
 #include <errno.h>
 #include <fcntl.h>
@@ -77,9 +77,8 @@
 	close(fd);
 	return res;
 }
-#endif   /* RAND_DEV */
 
-#ifdef RAND_SILLY
+#elif defined(RAND_SILLY)
 
 int
 px_get_random_bytes(uint8 *dst, unsigned count)
@@ -90,9 +89,8 @@
 		*dst++ = random();
 	return i;
 }
-#endif   /* RAND_SILLY */
 
-#ifdef RAND_OPENSSL
+#elif defined(RAND_OPENSSL)
 
 #include <openssl/evp.h>
 #include <openssl/blowfish.h>
@@ -125,4 +123,6 @@
 	return -1;
 }
 
+#else
+#error "Invalid random source"
+#endif
-#endif   /* RAND_OPENSSL */
